org.apache.myfaces.trinidad.component

## Class UIXCollection.NoColumnFacetsVisitContext

- java.lang.Object
- - javax.faces.component.visit.VisitContext
  - - javax.faces.component.visit.VisitContextWrapper
    - - org.apache.myfaces.trinidad.component.UIXCollection.NoColumnFacetsVisitContext

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.component.visit.VisitContext>
  Enclosing class:
    UIXCollection

      protected static final class UIXCollection.NoColumnFacetsVisitContext
      extends javax.faces.component.visit.VisitContextWrapper

  VisitContext implementation that doesn't visit any of the Facets of UIXColumn children. This is used when stamping children

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.visit.VisitContext

      `ALL_IDS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.visit.VisitContext` | `getWrapped()`
    `javax.faces.component.visit.VisitResult` | `invokeVisitCallback(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback)`

    - ### Methods inherited from class javax.faces.component.visit.VisitContextWrapper

      `getFacesContext, getHints, getIdsToVisit, getSubtreeIdsToVisit`

    - ### Methods inherited from class javax.faces.component.visit.VisitContext

      `createVisitContext, createVisitContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getWrapped

          public javax.faces.component.visit.VisitContext getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.component.visit.VisitContext>`
      Overrides:
        `getWrapped` in class `javax.faces.component.visit.VisitContextWrapper`

    - #### invokeVisitCallback

          public javax.faces.component.visit.VisitResult invokeVisitCallback(javax.faces.component.UIComponent component,
                                                                    javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `invokeVisitCallback` in class `javax.faces.component.visit.VisitContextWrapper`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.